
From: ebiederm@xmission.com (Eric W. Biederman)

This keeps the forcedepth driver from loosing it's mac address over a kexec
reboot.  Other kinds of reboot may benefit as well.

Signed-off-by: Eric W. Biederman <ebiederm@xmission.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/forcedeth.c |    6 ++++++
 1 files changed, 6 insertions(+)

diff -puN drivers/net/forcedeth.c~forcedeth-write-back-the-misordered-mac-address drivers/net/forcedeth.c
--- devel/drivers/net/forcedeth.c~forcedeth-write-back-the-misordered-mac-address	2005-07-29 13:09:44.000000000 -0700
+++ devel-akpm/drivers/net/forcedeth.c	2005-07-29 13:09:44.000000000 -0700
@@ -1942,6 +1942,12 @@ static int nv_close(struct net_device *d
 	if (np->wolenabled)
 		nv_start_rx(dev);
 
+	/* special op: write back the misordered MAC address - otherwise
+	 * the next nv_probe would see a wrong address.
+	 */
+	writel(np->orig_mac[0], base + NvRegMacAddrA);
+	writel(np->orig_mac[1], base + NvRegMacAddrB);
+
 	/* FIXME: power down nic */
 
 	return 0;
_
